summaryrefslogtreecommitdiffstats
path: root/test/sbuild-hold.in
diff options
context:
space:
mode:
Diffstat (limited to 'test/sbuild-hold.in')
-rwxr-xr-xtest/sbuild-hold.in28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/sbuild-hold.in b/test/sbuild-hold.in
new file mode 100755
index 0000000..8097756
--- /dev/null
+++ b/test/sbuild-hold.in
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# sbuild-hold: Test sbuild-hold and sbuild-unhold
+# Copyright © 2010 Roger Leigh <rleigh@debian.org
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+#
+#######################################################################
+
+set -e
+
+for dist in unstable; do
+ for prog in sbuild-hold sbuild-unhold; do
+ PERL5LIB="@abs_top_srcdir@/lib" "@abs_top_srcdir@/bin/$prog" "$dist" bash apt
+ done
+done